<?php
/*
Plugin Name: Participant based Discount Addon
Description: Add-on that adds Discount based on number of participants for phive bookings.
Version: 1.0
Author: PluginHive
Author URI: https://www.pluginhive.com/about/
Text Domain: ph-participant-based-discount
*/

if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
}	

register_activation_hook(__FILE__, 'phive_booking_participant_discount_addon_pre_activation_check');
function phive_booking_participant_discount_addon_pre_activation_check(){
	//check if basic version is there
	if ( !is_plugin_active('ph-bookings-appointments-woocommerce-premium/ph-bookings-appointments-woocommerce-premium.php') ){
        deactivate_plugins( basename( __FILE__ ) );
		wp_die( __("This plugin only work with Booking and appoinment plugin.", "ph-participant-based-discount" ), "", array('back_link' => 1 ));
	}
}

if(in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) && in_array('ph-bookings-appointments-woocommerce-premium/ph-bookings-appointments-woocommerce-premium.php', apply_filters('active_plugins', get_option('active_plugins'))) ){

    
    function ph_participant_discount_calculation( $customer_chosen_values ) {
        
        $child_array_index = 0;
        $adult_array_index = 1;
    
        $child_ratio_to_adult = 2; // child : adult <=> 2 : 1
        
        $no_of_children = $customer_chosen_values[ $child_array_index ];
    
        $no_of_adults = $customer_chosen_values[ $adult_array_index ];
    
        if($no_of_children == 0 || $no_of_adults == 0) {
            return $customer_chosen_values;
        }
        
        $valid_adult_discount_upto = floor( $no_of_children / $child_ratio_to_adult );
    
        if( $valid_adult_discount_upto >= $no_of_adults ) {
            $customer_chosen_values[ $adult_array_index ] = 0;
        }
        else {
            $customer_chosen_values[ $adult_array_index ] = $no_of_adults - $valid_adult_discount_upto;
        }
    
        return $customer_chosen_values;
    }
    
    add_filter( 'phive_booking_total_person_details', 'ph_participant_discount_calculation' );

}


